#583 closed defect (fixed)

tm26 and tm27 broken

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: unspecified Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

tm26 and tm27 directly tinker with various internal RTEMS
variables including _Thread_Dispatch_disable_level. The
recent addition of a check to ensure that one was not locking
a mutex when it was improper to block broke these tests.
They attempted to print while _Thread_Dispatch_disable_level
was non-zero.

Release:
RTEMS-4.6 and trunk

Attachments (1)

tm-fix.diff (1.3 KB) - added by Joel Sherrill on Dec 3, 2006 at 1:31:12 PM.
tm-fix.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Feb 26, 2004 at 3:50:39 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied.

Changed on Dec 3, 2006 at 1:31:12 PM by Joel Sherrill

Attachment: tm-fix.diff added

tm-fix.diff

comment:2 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.